'use strict';

var capiV2 = require('./utils/capi-v2');


module.exports = function(opts) {
	var queryString = '';
	var count = opts.count || 10;

	['industry', 'position', 'sector', 'country'].forEach(function(opt) {
		if(opts[opt]) {
			queryString += (queryString.length ? '&' : '?');
			queryString += 'user-' + opt + '=' + opts[opt];
		}
	});

	return capiV2({
		path: '/hui/content/' + (opts.period || 'last-1-day') + queryString,
		type: 'hui'
	})
	.then(function(articles) {
		return articles.content.slice(0, count).map(function(article) {
			return article.apiUrl.replace('http://api.ft.com/content/', '');
		});
	})
	.then(function(articles) {
		articles.indexCount = articles.length;
		return articles;
	});

};
